Subject: bug#74910: closed (Re: bug#74910: 3 Warnings or Errors after starting up Emacs 29.4)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Dec 2024 11:35:03 +0000

Your bug report

#74910: 3 Warnings or Errors after starting up Emacs 29.4

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74910: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74910
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74910: 3 Warnings or Errors after starting up Emacs 29.4
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 28 Dec 2024 13:34:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Mon, 16 Dec 2024 19:09:45 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Mon, 16 Dec 2024 11:39:34 +0000 (UTC)
> > From:  Andrew Goh via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> > 
> > I get these three warnings after starting Emacs 29.4
> > 
> > a.  Fatal error: no compiled in support for x86-64
> > b.  C:\Program Files\Emacs\emacs-29.4\bin\libgccjit-0.dll: error invoking gcc driver
> > c.  C:/Program Files/Emacs/emacs29.4/share/emacs/29.4/lisp/emacs-lisp/cl.seq-el Error: Internal native
> > compiler error familed to compile
> > 
> > I hope these errors are fixed, and that it Emacs can auto update without the need to run package-update-all
> > which shows how green I am with Emacs.
> 
> Sounds like you have a mix of 32-bit and 64-bit development tools, and
> that causes the problem.  Like, if your libgccjit is 64-bi, but
> Binutils are for 32 bits.
> 
> IOW, this is a configuration problem local to your system, not an
> Emacs bug.

No further comments in 2 weeks, so I'm now closing this bug.

Subject: 3 Warnings or Errors after starting up Emacs 29.4
From: Andrew Goh <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 16 Dec 2024 11:39:34 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Emacs Team,
I get these three warnings after starting Emacs 29.4
a.  Fatal error: no compiled in support for x86-64b.  C:\Program Files\Emacs\emacs-29.4\bin\libgccjit-0.dll: error invoking gcc driverc.  C:/Program Files/Emacs/emacs29.4/share/emacs/29.4/lisp/emacs-lisp/cl.seq-el Error: Internal native compiler error familed to compile
I hope these errors are fixed, and that it Emacs can auto update without the need to run package-update-all which shows how green I am with Emacs.
Best Regards,
Andrew Goh S M